 <?php

error_reporting(E_ERROR | E_PARSE);

session_start();
/*
$_SESSION['database'] = $_POST["database"];

$_SESSION['suc_id'] = $_POST["suc_id"];

$_SESSION['est_id'] = $_POST["est_id"];

$_SESSION['id_pack'] ='220000041';

$_SESSION['database'] = $_POST["database"];

$_SESSION['suc_id'] = $_POST["suc_id"];

$_SESSION['est_id'] = $_POST["est_id"];

$_SESSION['id_pack'] =$_POST["id_pack"];

 */

$_SESSION['database'] = 'pruebac';

$database = '8_final1';

$_SESSION['suc_id'] = '2';

$_SESSION['e_id'] = '2';

include_once "../conn.php";

include_once "../funciones.php";

include_once "empaca_op.php";

include_once "vercorre.php";

$eje2 = verificacorre($connection, $_SESSION['e_id'], $_SESSION['suc_id'], $database, $_SESSION['suc_id'], $_SESSION['e_id'] = '2');

$eje2 = +$eje2 + 1;

echo 'corre: ' . $eje2 . '  ';

$_SESSION['id_pack'] = $eje2 + 1;

$SQLupdate3 = "select id_pack from " . $_SESSION['database'] . "_tmp_pack.operacion_pack_v2    where  id_pack=" . $_SESSION['id_pack'] . " limit 1";

logs('xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx' . $SQLupdate3);
$qur = $connection->query($SQLupdate3);

$empaco = "NO";
while ($r = mysqli_fetch_assoc($qur)) {

    $empaco = $r['id_pack'];

    logs("si consiguio un registro  " . $empaco);

//echo "si consiguio un registro  ".$empaco;

}
;

if ($_SESSION['id_pack'] == $empaco) {

    $montoesql1 = "select " . $_SESSION['database'] . ".operacion.* from " . $_SESSION['database'] . "_tmp_pack.operacion_pack_v2

               left outer join " . $_SESSION['database'] . ".operacion on " . $_SESSION['database'] . "_tmp_pack.operacion_pack_v2.op_id=" . $_SESSION['database'] . ".operacion.op_id

                where id_pack=" . $_SESSION['id_pack'] . " group by " . $_SESSION['database'] . "_tmp_pack.operacion_pack_v2.op_id";

    //           echo  $montoesql1;

    $qur1 = $connection->query($montoesql1);

    $i = 0;

    while ($r1 = mysqli_fetch_assoc($qur1)) {

        $jsonTempData = array();
        $jsonTempData['op_id'] = utf8_encode($r1['op_id']);
        $jsonTempData['op_fecha'] = utf8_encode($r1['op_fecha']);
        $jsonTempData['op_fechav'] = utf8_encode($r1['op_fechav']);
        $jsonTempData['op_id_cliente'] = utf8_encode($r1['op_id_cliente']);
        $jsonTempData['op_tipo'] = utf8_encode($r1['op_tipo']);
        $jsonTempData['op_num_corre'] = utf8_encode($r1['op_num_corre']);
        $jsonTempData['op_subtotal'] = utf8_encode($r1['op_subtotal']);
        $jsonTempData['op_itbms'] = utf8_encode($r1['op_itbms']);
        $jsonTempData['op_total'] = utf8_encode($r1['op_total']);
        $jsonTempData['u_id'] = utf8_encode($r1['u_id']);
        $jsonTempData['op_estacion'] = utf8_encode($r1['op_estacion']);
        $jsonTempData['op_manejo'] = utf8_encode($r1['op_manejo']);
        $jsonTempData['op_flete'] = utf8_encode($r1['op_flete']);
        $jsonTempData['op_seguro'] = utf8_encode($r1['op_seguro']);
        $jsonTempData['op_controldoc'] = utf8_encode($r1['op_controldoc']);
        $jsonTempData['op_observ'] = utf8_encode($r1['op_observ']);
        $jsonTempData['op_desc'] = utf8_encode($r1['op_desc']);
        $jsonTempData['op_condicion'] = utf8_encode($r1['op_condicion']);
        $jsonTempData['op_subtotalneto'] = utf8_encode($r1['op_subtotalneto']);
        $jsonTempData['op_costo'] = utf8_encode($r1['op_costo']);
        $jsonTempData['op_contado'] = utf8_encode($r1['op_contado']);
        $jsonTempData['op_credito'] = utf8_encode($r1['op_credito']);
        $jsonTempData['op_efectivo'] = utf8_encode($r1['op_efectivo']);
        $jsonTempData['op_cheque'] = utf8_encode($r1['op_cheque']);
        $jsonTempData['op_ncheque'] = utf8_encode($r1['op_ncheque']);
        $jsonTempData['id_banco'] = utf8_encode($r1['id_banco']);
        $jsonTempData['op_tdebito'] = utf8_encode($r1['op_tdebito']);
        $jsonTempData['op_tcredito'] = utf8_encode($r1['op_tcredito']);
        $jsonTempData['op_ntdebito'] = utf8_encode($r1['op_ntdebito']);
        $jsonTempData['op_ntcredito'] = utf8_encode($r1['op_ntcredito']);
        $jsonTempData['op_pagado'] = utf8_encode($r1['op_pagado']);
        $jsonTempData['op_vuelto'] = utf8_encode($r1['op_vuelto']);
        $jsonTempData['op_diferencia'] = utf8_encode($r1['op_diferencia']);
        $jsonTempData['op_utilidad'] = utf8_encode($r1['op_utilidad']);
        $jsonTempData['op_utilidadporc'] = utf8_encode($r1['op_utilidadporc']);

        if ($r1['hora'] == '') {$jsonTempData['hora'] = '00:00:01';} else {
            $jsonTempData['hora'] = utf8_encode($r1['hora']);}

        $jsonTempData['emp_imp1'] = utf8_encode($r1['emp_imp1']);
        $jsonTempData['emp_imp2'] = utf8_encode($r1['emp_imp2']);
        $jsonTempData['emp_imp3'] = utf8_encode($r1['emp_imp3']);
        $jsonTempData['no_control'] = utf8_encode($r1['no_control']);
        $jsonTempData['emp_imp0base'] = utf8_encode($r1['emp_imp0base']);
        $jsonTempData['emp_imp1base'] = utf8_encode($r1['emp_imp1base']);
        $jsonTempData['emp_imp2base'] = utf8_encode($r1['emp_imp2base']);
        $jsonTempData['emp_imp3base'] = utf8_encode($r1['emp_imp3base']);
        $jsonTempData['suc_id'] = utf8_encode($r1['suc_id']);

        //$jsonTempData['op_fechas']         = utf8_encode($r1['op_fechas']);

        if ($r1['op_fechas'] == '') {$jsonTempData['op_fechas'] = '1900:00:01';} else {
            $jsonTempData['op_fechas'] = utf8_encode($r1['op_fechas']);}

        $jsonTempData['op_tcertificado'] = utf8_encode($r1['op_tcertificado']);
        $jsonTempData['id_status'] = utf8_encode($r1['id_status']);
        $jsonTempData['c_idfiscal2'] = utf8_encode($r1['c_idfiscal2']);
        $jsonTempData['op_num_ncf'] = utf8_encode($r1['op_num_ncf']);
        $jsonTempData['op_num_rel'] = utf8_encode($r1['op_num_rel']);
        $jsonTempData['op_nombre'] = utf8_encode($r1['op_nombre']);
        $jsonTempData['emp_imp4'] = utf8_encode($r1['emp_imp4']);
        $jsonTempData['emp_imp4base'] = utf8_encode($r1['emp_imp4base']);
        $jsonTempData['op_direc'] = utf8_encode($r1['op_direc']);
        $jsonTempData['op_telf'] = utf8_encode($r1['op_telf']);
        $jsonTempData['op_num_fact'] = utf8_encode($r1['op_num_fact']);
        $jsonTempData['sale_id'] = utf8_encode($r1['sale_id']);
        $jsonTempData['t_id'] = utf8_encode($r1['t_id']);
        $jsonTempData['mon_op'] = utf8_encode($r1['mon_op']);
        $jsonTempData['mon_taza_op'] = utf8_encode($r1['mon_taza_op']);
        $jsonTempData['mon_id1'] = utf8_encode($r1['mon_id1']);
        $jsonTempData['mon_taza_v1'] = utf8_encode($r1['mon_taza_v1']);
        $jsonTempData['mon_taza_c1'] = utf8_encode($r1['mon_taza_c1']);
        $jsonTempData['mon_id2'] = utf8_encode($r1['mon_id2']);
        $jsonTempData['mon_taza_v2'] = utf8_encode($r1['mon_taza_v2']);
        $jsonTempData['mon_taza_c2'] = utf8_encode($r1['mon_taza_c2']);
        $jsonTempData['mon_id3'] = utf8_encode($r1['mon_id3']);
        $jsonTempData['mon_taza_v3'] = utf8_encode($r1['mon_taza_v3']);
        $jsonTempData['mon_taza_c3'] = utf8_encode($r1['mon_taza_c3']);
        $jsonTempData['op_forma_6'] = utf8_encode($r1['op_forma_6']);
        $jsonTempData['op_forma_7'] = utf8_encode($r1['op_forma_7']);
        $jsonTempData['op_forma_8'] = utf8_encode($r1['op_forma_8']);

        //$jsonTempData['op_fecha_x']         = utf8_encode($r1['op_fecha_x']);

        if ($r1['op_fecha_x'] == '') {$jsonTempData['op_fecha_x'] = '1900:00:01';} else {
            $jsonTempData['op_fecha_x'] = utf8_encode($r1['op_fecha_x']);}

        $jsonTempData['op_tipodesc'] = utf8_encode($r1['op_tipodesc']);
        $jsonTempData['conc_id'] = utf8_encode($r1['conc_id']);
        $jsonTempData['op_id_espe'] = utf8_encode($r1['op_id_espe']);
        $jsonTempData['op_numserie_if'] = utf8_encode($r1['op_numserie_if']);
        $jsonTempData['op_num_nco'] = utf8_encode($r1['op_num_nco']);
        $jsonTempData['mont_letra'] = utf8_encode($r1['mont_letra']);
        $jsonTempData['op_usuario'] = utf8_encode($r1['op_usuario']);
        $jsonTempData['op_num_aptdo'] = utf8_encode($r1['op_num_aptdo']);
        $jsonTempData['op_saldo_ant_aptdo'] = utf8_encode($r1['op_saldo_ant_aptdo']);
        $jsonTempData['op_pago_aptdo'] = utf8_encode($r1['op_pago_aptdo']);
        $jsonTempData['op_saldo_act_aptdo'] = utf8_encode($r1['op_saldo_act_aptdo']);
        $jsonTempData['op_ship_to'] = utf8_encode($r1['op_ship_to']);
        $jsonTempData['op_dir_entrega'] = utf8_encode($r1['op_dir_entrega']);
        $jsonTempData['Saldo_Ant'] = utf8_encode($r1['Saldo_Ant']);
        $jsonTempData['Monto_Pago'] = utf8_encode($r1['Monto_Pago']);
        $jsonTempData['Saldo_Act'] = utf8_encode($r1['Saldo_Act']);
        $jsonTempData['op_totitems'] = utf8_encode($r1['op_totitems']);
        $jsonTempData['op_pedido'] = utf8_encode($r1['op_pedido']);
        $jsonTempData['op_pedido2'] = utf8_encode($r1['op_pedido2']);
        $jsonTempData['op_aptdo_status'] = utf8_encode($r1['op_aptdo_status']);

        //$jsonTempData['op_aptdo_cancel']         = utf8_encode($r1['op_aptdo_cancel']);

        if ($r1['op_aptdo_cancel'] == '') {$jsonTempData['op_aptdo_cancel'] = '1900:00:01';} else {
            $jsonTempData['op_aptdo_cancel'] = utf8_encode($r1['op_aptdo_cancel']);}

// $jsonTempData['op_aptdo_devol']         = utf8_encode($r1['op_aptdo_devol']);

        if ($r1['op_aptdo_devol'] == '') {$jsonTempData['op_aptdo_devol'] = '1900:00:01';} else {
            $jsonTempData['op_aptdo_devol'] = utf8_encode($r1['op_aptdo_devol']);}

        //$jsonTempData['op_aptdo_factu']         = utf8_encode($r1['op_aptdo_factu']);

        if ($r1['op_aptdo_factu'] == '') {$jsonTempData['op_aptdo_factu'] = '1900:00:01';} else {
            $jsonTempData['op_aptdo_factu'] = utf8_encode($r1['op_aptdo_factu']);}

        //$jsonTempData['op_aptdo_pagad']         = utf8_encode($r1['op_aptdo_pagad']);

        if ($r1['op_aptdo_pagad'] == '') {$jsonTempData['op_aptdo_pagad'] = '1900:00:01';} else {
            $jsonTempData['op_aptdo_pagad'] = utf8_encode($r1['op_aptdo_pagad']);}

        $jsonTempData['op_num_fis_ec'] = utf8_encode($r1['op_num_fis_ec']);

        $jsonTempData['op_desctm'] = utf8_encode($r1['op_desctm']);
        $jsonTempData['op_desctp'] = utf8_encode($r1['op_desctp']);

/*
$jsonTempData['po_id']         = utf8_encode($r1['po_id']);
$jsonTempData['po_op_id']         = utf8_encode($r1['po_op_id']);
$jsonTempData['po_costo']         = utf8_encode($r1['po_costo']);
$jsonTempData['po_precio']         = utf8_encode($r1['po_precio']);
$jsonTempData['po_itbms']         = utf8_encode($r1['po_itbms']);
$jsonTempData['po_id_prod']         = utf8_encode($r1['po_id_prod']);
$jsonTempData['po_cant']         = utf8_encode($r1['po_cant']);
$jsonTempData['po_v_id']         = utf8_encode($r1['po_v_id']);
$jsonTempData['po_dep_id']         = utf8_encode($r1['po_dep_id']);
$jsonTempData['po_pr_tipo']         = utf8_encode($r1['po_pr_tipo']);
$jsonTempData['po_visible_grid']         = utf8_encode($r1['po_visible_grid']);
$jsonTempData['po_precioneto']         = utf8_encode($r1['po_precioneto']);
$jsonTempData['po_desc1']         = utf8_encode($r1['po_desc1']);
$jsonTempData['po_desc2']         = utf8_encode($r1['po_desc2']);
$jsonTempData['po_utilidad']         = utf8_encode($r1['po_utilidad']);
$jsonTempData['po_utilidad_porc']         = utf8_encode($r1['po_utilidad_porc']);
$jsonTempData['po_signo']         = utf8_encode($r1['po_signo']);
$jsonTempData['po_montoimp']         = utf8_encode($r1['po_montoimp']);
$jsonTempData['po_dep_id_tras']         = utf8_encode($r1['po_dep_id_tras']);
$jsonTempData['po_preciotmp']         = utf8_encode($r1['po_preciotmp']);
$jsonTempData['mesa']         = utf8_encode($r1['mesa']);
$jsonTempData['silla']         = utf8_encode($r1['silla']);
$jsonTempData['ubicacion']         = utf8_encode($r1['ubicacion']);
$jsonTempData['po_comisionv']         = utf8_encode($r1['po_comisionv']);
$jsonTempData['po_comisionv_porc']         = utf8_encode($r1['po_comisionv_porc']);
$jsonTempData['po_comisionc']         = utf8_encode($r1['po_comisionc']);
$jsonTempData['po_comisionc_por']         = utf8_encode($r1['po_comisionc_por']);
$jsonTempData['mod_id_auto']         = utf8_encode($r1['mod_id_auto']);
$jsonTempData['po_father']         = utf8_encode($r1['po_father']);
$jsonTempData['ubic_enviada']         = utf8_encode($r1['ubic_enviada']);
$jsonTempData['ubic_enviada2']         = utf8_encode($r1['ubic_enviada2']);
$jsonTempData['ubic_enviada3']         = utf8_encode($r1['ubic_enviada3']);
$jsonTempData['ubic_enviada4']         = utf8_encode($r1['ubic_enviada4']);
$jsonTempData['comanda']         = utf8_encode($r1['comanda']);
$jsonTempData['po_comision_tipo']         = utf8_encode($r1['po_comision_tipo']);
$jsonTempData['ubic_id']         = utf8_encode($r1['ubic_id']);
$jsonTempData['ubic_id2']         = utf8_encode($r1['ubic_id2']);
$jsonTempData['ubic_id3']         = utf8_encode($r1['ubic_id3']);
$jsonTempData['ubic_id4']         = utf8_encode($r1['ubic_id4']);
$jsonTempData['po_pr_detalle']         = utf8_encode($r1['po_pr_detalle']);
$jsonTempData['po_comp_id']         = utf8_encode($r1['po_comp_id']);
$jsonTempData['po_cant_pend']         = utf8_encode($r1['po_cant_pend']);
$jsonTempData['po_imp_adic']         = utf8_encode($r1['po_imp_adic']);
$jsonTempData['po_montoimp_adic']         = utf8_encode($r1['po_montoimp_adic']);
$jsonTempData['tpo_desc1']         = utf8_encode($r1['tpo_desc1']);
$jsonTempData['tpo_desc2']         = utf8_encode($r1['tpo_desc2']);
$jsonTempData['po_relac_unic']         = utf8_encode($r1['po_relac_unic']);
$jsonTempData['po_descripcion']         = utf8_encode($r1['po_descripcion']);
$jsonTempData['po_posicion']         = utf8_encode($r1['po_posicion']);
$jsonTempData['trig_unic']         = utf8_encode($r1['trig_unic']);
$jsonTempData['e_id']         = utf8_encode($r1['e_id']);
$jsonTempData['po_flag_despa']         = utf8_encode($r1['po_flag_despa']);
//$jsonTempData['po_fech_despa1']         = utf8_encode($r1['po_fech_despa1']);

if($r1['po_fech_despa1']=='') {$jsonTempData['po_fech_despa1']         ='1900:00:01';}else {
$jsonTempData['po_fech_despa1']         = utf8_encode($r1['po_fech_despa1']);}

//$jsonTempData['po_fech_despa2']         = utf8_encode($r1['po_fech_despa2']);

if($r1['po_fech_despa2']=='') {$jsonTempData['po_fech_despa2']         ='1900:00:01';}else {
$jsonTempData['po_fech_despa2']         = utf8_encode($r1['po_fech_despa2']);}

$jsonTempData['SyncProcesing']         = utf8_encode($r1['SyncProcesing']);
$jsonTempData['UserModify']         = utf8_encode($r1['UserModify']);
$jsonTempData['UserOption']         = utf8_encode($r1['UserOption']);
$jsonTempData['id_pack']         = utf8_encode($r1['id_pack']);
$jsonTempData['op_desctm']         = utf8_encode($r1['op_desctm']);
$jsonTempData['op_desctp']         = utf8_encode($r1['op_desctp']);
 */

        $jsonData[] = $jsonTempData;

        $i = $i + 1;
    }

    $json->regs_op = $i;

    $json->operacion = $jsonData;

    $montoesql2 = "select " . $_SESSION['database'] . ".producto_op.* from " . $_SESSION['database'] . "_tmp_pack.operacion_pack_v2

               left outer join " . $_SESSION['database'] . ".producto_op on " . $_SESSION['database'] . "_tmp_pack.operacion_pack_v2.op_id=" . $_SESSION['database'] . ".producto_op.po_op_id

                where id_pack=" . $_SESSION['id_pack'] . " group by " . $_SESSION['database'] . ".producto_op.po_relac_unic";

    //           echo  $montoesql1;

    $qur1 = $connection->query($montoesql2);

    $i = 0;

    $jsonTempData = null;

    while ($r1 = mysqli_fetch_assoc($qur1)) {

        $jsonTempData['po_op_id'] = utf8_encode($r1['po_op_id']);
        $jsonTempData['po_costo'] = utf8_encode($r1['po_costo']);
        $jsonTempData['po_precio'] = utf8_encode($r1['po_precio']);
        $jsonTempData['po_itbms'] = utf8_encode($r1['po_itbms']);
        $jsonTempData['po_id_prod'] = utf8_encode($r1['po_id_prod']);
        $jsonTempData['po_cant'] = utf8_encode($r1['po_cant']);
        $jsonTempData['po_v_id'] = utf8_encode($r1['po_v_id']);
        $jsonTempData['po_dep_id'] = utf8_encode($r1['po_dep_id']);
        $jsonTempData['po_pr_tipo'] = utf8_encode($r1['po_pr_tipo']);
        $jsonTempData['po_visible_grid'] = utf8_encode($r1['po_visible_grid']);
        $jsonTempData['po_precioneto'] = utf8_encode($r1['po_precioneto']);
        $jsonTempData['po_desc1'] = utf8_encode($r1['po_desc1']);
        $jsonTempData['po_desc2'] = utf8_encode($r1['po_desc2']);
        $jsonTempData['po_utilidad'] = utf8_encode($r1['po_utilidad']);
        $jsonTempData['po_utilidad_porc'] = utf8_encode($r1['po_utilidad_porc']);
        $jsonTempData['po_signo'] = utf8_encode($r1['po_signo']);
        $jsonTempData['po_montoimp'] = utf8_encode($r1['po_montoimp']);
        $jsonTempData['po_dep_id_tras'] = utf8_encode($r1['po_dep_id_tras']);
        $jsonTempData['po_preciotmp'] = utf8_encode($r1['po_preciotmp']);
        $jsonTempData['mesa'] = utf8_encode($r1['mesa']);
        $jsonTempData['silla'] = utf8_encode($r1['silla']);
        $jsonTempData['ubicacion'] = utf8_encode($r1['ubicacion']);
        $jsonTempData['po_comisionv'] = utf8_encode($r1['po_comisionv']);
        $jsonTempData['po_comisionv_porc'] = utf8_encode($r1['po_comisionv_porc']);
        $jsonTempData['po_comisionc'] = utf8_encode($r1['po_comisionc']);
        $jsonTempData['po_comisionc_por'] = utf8_encode($r1['po_comisionc_por']);
        $jsonTempData['mod_id_auto'] = utf8_encode($r1['mod_id_auto']);
        $jsonTempData['po_father'] = utf8_encode($r1['po_father']);
        $jsonTempData['ubic_enviada'] = utf8_encode($r1['ubic_enviada']);
        $jsonTempData['ubic_enviada2'] = utf8_encode($r1['ubic_enviada2']);
        $jsonTempData['ubic_enviada3'] = utf8_encode($r1['ubic_enviada3']);
        $jsonTempData['ubic_enviada4'] = utf8_encode($r1['ubic_enviada4']);
        $jsonTempData['comanda'] = utf8_encode($r1['comanda']);
        $jsonTempData['po_comision_tipo'] = utf8_encode($r1['po_comision_tipo']);
        $jsonTempData['ubic_id'] = utf8_encode($r1['ubic_id']);
        $jsonTempData['ubic_id2'] = utf8_encode($r1['ubic_id2']);
        $jsonTempData['ubic_id3'] = utf8_encode($r1['ubic_id3']);
        $jsonTempData['ubic_id4'] = utf8_encode($r1['ubic_id4']);
        $jsonTempData['po_pr_detalle'] = utf8_encode($r1['po_pr_detalle']);
        $jsonTempData['po_comp_id'] = utf8_encode($r1['po_comp_id']);
        $jsonTempData['suc_id'] = utf8_encode($r1['suc_id']);

        $jsonTempData['po_cant_pend'] = utf8_encode($r1['po_cant_pend']);
        $jsonTempData['po_imp_adic'] = utf8_encode($r1['po_imp_adic']);
        $jsonTempData['po_montoimp_adic'] = utf8_encode($r1['po_montoimp_adic']);
        $jsonTempData['tpo_desc1'] = utf8_encode($r1['tpo_desc1']);
        $jsonTempData['tpo_desc2'] = utf8_encode($r1['tpo_desc2']);
        $jsonTempData['po_relac_unic'] = utf8_encode($r1['po_relac_unic']);
        $jsonTempData['po_descripcion'] = utf8_encode($r1['po_descripcion']);
        $jsonTempData['po_posicion'] = utf8_encode($r1['po_posicion']);
        $jsonTempData['trig_unic'] = utf8_encode($r1['po_relac_unic']);
        $jsonTempData['e_id'] = utf8_encode($r1['e_id']);
        $jsonTempData['po_flag_despa'] = utf8_encode($r1['po_flag_despa']);
        //$jsonTempData['po_fech_despa1']         = utf8_encode($r1['po_fech_despa1']);

        if ($r1['po_fech_despa1'] == '') {$jsonTempData['po_fech_despa1'] = '1900:00:01';} else {
            $jsonTempData['po_fech_despa1'] = utf8_encode($r1['po_fech_despa1']);}

        //$jsonTempData['po_fech_despa2']         = utf8_encode($r1['po_fech_despa2']);

        if ($r1['po_fech_despa2'] == '') {$jsonTempData['po_fech_despa2'] = '1900:00:01';} else {
            $jsonTempData['po_fech_despa2'] = utf8_encode($r1['po_fech_despa2']);}

        $jsonTempData['SyncProcesing'] = utf8_encode($r1['SyncProcesing']);
        $jsonTempData['UserModify'] = utf8_encode($r1['UserModify']);
        $jsonTempData['UserOption'] = utf8_encode($r1['UserOption']);

        $jsonData2[] = $jsonTempData;
        $i = $i + 1;
    }

    $json->regs_po = $i;

    $json->producto_op = $jsonData2;

//header('content-type: application/json');
    //print_r( json_encode($json));

    $data_string = json_encode($json);

    $url1 = "http://54.244.208.51/rest/v2/trans/ventan.php";

    $parametros_post = 'datos=' . urlencode($data_string)
    . '&database=' . urlencode($database)
    . '&id_pack=' . urlencode($_SESSION['id_pack'])
    . '&suc_id=' . urlencode($_SESSION['suc_id'])
    . '&est_id=' . urlencode($_SESSION['e_id']);

    $ch = curl_init($url1);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
    // curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);

    curl_setopt($ch, CURLOPT_POSTFIELDS, $parametros_post);

    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    // curl_setopt($ch, CURLOPT_HTTPHEADER, false);

    $result = curl_exec($ch);
    curl_close($ch);

    echo $result;
} else {echo 'nada que enviar';}
;

$eje = empaca($connection);

$qur = null;
@mysqli_close($connection);
?>
